@@ -34,7 +34,7 @@ install: | |||||
uninstall: | uninstall: | ||||
for script in bin/*; do \ | for script in bin/*; do \ | ||||
rm -f $(DESTDIR)$(PREFIX)/bin/$$script; \ | |||||
rm -f $(DESTDIR)$(PREFIX)/$$script; \ | |||||
done | done | ||||
rm -rf $(DESTDIR)$(PREFIX)/share/mutt-wizard | rm -rf $(DESTDIR)$(PREFIX)/share/mutt-wizard | ||||
rm -f $(DESTDIR)$(MANPREFIX)/man1/mw.1 | rm -f $(DESTDIR)$(MANPREFIX)/man1/mw.1 | ||||
@@ -7,6 +7,8 @@ Get this great stuff without effort: | |||||
* view and write emails while you're away from | * view and write emails while you're away from | ||||
the internet | the internet | ||||
* make backups | * make backups | ||||
- Provides a `mailsync` script that can be scheduled to run as often as you | |||||
like, which downloads/syncs mail and notifies you when new mail has arrived. | |||||
Specifically, this wizard: | Specifically, this wizard: | ||||
@@ -27,9 +29,10 @@ Specifically, this wizard: | |||||
#### Dependencies | #### Dependencies | ||||
- `neomutt` - the email client. | - `neomutt` - the email client. | ||||
- `isync` - downloads and syncs the mail. (required at install) | |||||
- `curl` - tests connections (required at install). | |||||
- `isync` - downloads and syncs the mail (required if storing IMAP mail locally). | |||||
- `msmtp` - sends the email. | - `msmtp` - sends the email. | ||||
- `pass` - safely encrypts passwords (required at install) | |||||
- `pass` - safely encrypts passwords (required at install). | |||||
**Note**: There's a chance of errors if you use a slow-release distro like Ubuntu, Debian, | **Note**: There's a chance of errors if you use a slow-release distro like Ubuntu, Debian, | ||||
or Mint. If you get errors in `neomutt`, install the most recent version | or Mint. If you get errors in `neomutt`, install the most recent version | ||||
@@ -45,6 +48,16 @@ sudo make install | |||||
A user of Arch-based distros can also install mutt-wizard from the AUR as | A user of Arch-based distros can also install mutt-wizard from the AUR as | ||||
[mutt-wizard-git](https://aur.archlinux.org/packages/mutt-wizard-git/). | [mutt-wizard-git](https://aur.archlinux.org/packages/mutt-wizard-git/). | ||||
### Optional Dependencies | |||||
- `pam-gnupg` - Automatically logs you into your GPG key on login so you will never need to input your password once logged on to your system. Check the repo and directions out [here](https://github.com/cruegge/pam-gnupg). | |||||
- `lynx` - view HTML email in neomutt. | |||||
- `notmuch` - index and search mail. Install it and run `notmuch setup`, tell it that your mail is in `~/.local/share/mail/` (although `mw` will do this automatically if you haven't set notmuch up before). You can run it in mutt with `ctrl-f`. Run `notmuch new` to process new mail. | |||||
- `abook` - a terminal-based address book. Pressing tab while typing an address to send mail to will suggest contacts that are in your abook. | |||||
- `urlview` - outputs urls in mail to browser. | |||||
- `cronie` - (or any other major cronjob manager) to set up automatic mail syncing. | |||||
## Usage | ## Usage | ||||
The mutt-wizard runs via the command `mw`. Once setup is complete, you'll use | The mutt-wizard runs via the command `mw`. Once setup is complete, you'll use | ||||
@@ -56,6 +69,8 @@ The mutt-wizard runs via the command `mw`. Once setup is complete, you'll use | |||||
- `mw -Y` -- sync all configured email accounts | - `mw -Y` -- sync all configured email accounts | ||||
- `mw -d` -- choose an account to delete | - `mw -d` -- choose an account to delete | ||||
- `mw -D your@email.com` -- delete account settings without confirmation | - `mw -D your@email.com` -- delete account settings without confirmation | ||||
- `mw -t 30` -- toggle automatic mailsync to every 30 minutes | |||||
- `mw -T` -- toggle mailsync without specifying minutes (default is 10) | |||||
- `pass edit mw-your@email.com` -- revise an account's password | - `pass edit mw-your@email.com` -- revise an account's password | ||||
### Options usable when adding an account | ### Options usable when adding an account | ||||
@@ -64,7 +79,7 @@ The mutt-wizard runs via the command `mw`. Once setup is complete, you'll use | |||||
- `-u` -- Give an account username if different from the email address. | - `-u` -- Give an account username if different from the email address. | ||||
- `-n` -- A real name to be used by the account. Put in quotations if multiple | - `-n` -- A real name to be used by the account. Put in quotations if multiple | ||||
words | |||||
words. | |||||
- `-i` -- IMAP server address | - `-i` -- IMAP server address | ||||
- `-I` -- IMAP server port (otherwise assumed to be 993) | - `-I` -- IMAP server port (otherwise assumed to be 993) | ||||
- `-s` -- SMTP server address | - `-s` -- SMTP server address | ||||
@@ -126,8 +141,7 @@ To give you an example of the interface, here's an idea: | |||||
steps to install the system. | steps to install the system. | ||||
- `mw` is now an installed program instead of just a script needed to be kept in | - `mw` is now an installed program instead of just a script needed to be kept in | ||||
your mutt folder. | your mutt folder. | ||||
- `dialog` is no longer used (i.e. bloat) and the interface is simply text | |||||
commands. | |||||
- `dialog` is no longer used and the interface is simply text commands. | |||||
- More autogenerated shortcuts that allow quickly moving and copying mail | - More autogenerated shortcuts that allow quickly moving and copying mail | ||||
between boxes. | between boxes. | ||||
- More elegant attachment handling. Image/video/pdf attachments without relying | - More elegant attachment handling. Image/video/pdf attachments without relying | ||||
@@ -140,11 +154,12 @@ To give you an example of the interface, here's an idea: | |||||
- `pass` is used as a password manager instead of separately saving passwords. | - `pass` is used as a password manager instead of separately saving passwords. | ||||
- Script is POSIX sh compliant. | - Script is POSIX sh compliant. | ||||
- Error handling for the many people who don't read or follow directions. Fewer | - Error handling for the many people who don't read or follow directions. Fewer | ||||
errors, generally. | |||||
errors generally. | |||||
- Addition of a manual `man mw` | - Addition of a manual `man mw` | ||||
## Help the Project! | ## Help the Project! | ||||
- Try mutt-wizard out on weird machines and weird email addresses and report any | - Try mutt-wizard out on weird machines and weird email addresses and report any | ||||
errors. | errors. | ||||
- Open a PR to add new server information into `domains.csv` so their users can | - Open a PR to add new server information into `domains.csv` so their users can | ||||
@@ -0,0 +1,94 @@ | |||||
#!/bin/sh | |||||
# - Syncs mail for all accounts, or a single account given as an argument. | |||||
# - Displays a notification showing the number of new mails. | |||||
# - Displays a notification for each new mail with its subject displayed. | |||||
# - Runs notmuch to index new mail. | |||||
# - This script can be set up as a cron job for automated mail syncing. | |||||
# There are many arbitrary and ugly features in this script because it is | |||||
# inherently difficult to pass environmental variables to cronjobs and other | |||||
# issues. It also should at least be compatible with Linux (and maybe BSD) with | |||||
# Xorg and MacOS as well. | |||||
# Run only if user logged in (prevent cron errors) | |||||
pgrep -u "${USER:=$LOGNAME}" >/dev/null || { echo "$USER not logged in; sync will not run."; exit ;} | |||||
# Run only if not already running in other instance | |||||
pgrep -x mbsync >/dev/null && { echo "mbsync is already running." ; exit ;} | |||||
# First, we have to get the right variables for the mbsync file, the pass | |||||
# archive, notmuch and the GPG home. This is done by searching common profile | |||||
# files for variable assignments. This is ugly, but there are few options that | |||||
# will work on the maximum number of machines. | |||||
eval "$(grep -h -- \ | |||||
"^\s*\(export \)\?\(MBSYNCRC\|PASSWORD_STORE_DIR\|NOTMUCH_CONFIG\|GNUPGHOME\)=" \ | |||||
"$HOME/.profile" "$HOME/.bash_profile" "$HOME/.zprofile" "$HOME/.bashrc" "$HOME/.zshrc" "$HOME/.pam_environment" 2>/dev/null)" | |||||
# One alternative to this kind of command would be marking the script for | |||||
# /bin/sh -l. That might cause other problems on other particular setups that | |||||
# do more complicated things on login, or those people who assign environmental | |||||
# variables in shell rc files. | |||||
case "$(readlink -f /sbin/init)" in | |||||
*systemd*) export DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/$(id -u)/bus ;; | |||||
esac | |||||
export GPG_TTY=$TTY | |||||
[ -n "$MBSYNCRC" ] && alias mbsync="mbsync -c $MBSYNCRC" || MBSYNCRC="$HOME/.mbsyncrc" | |||||
# Settings are different for MacOS (Darwin) systems. | |||||
case "$(uname)" in | |||||
Darwin) | |||||
notify() { osascript -e "display notification \"$2 in $1\" with title \"You've got Mail\" subtitle \"Account: $account\"" && sleep 2 ;} | |||||
messageinfo() { osascript -e "display notification with title \"📧 $from\" subtitle \"$subject\"" ;} | |||||
;; | |||||
*) | |||||
displays="$(ps axo user,cmd | grep "^$USER\s\+.*Xorg" | grep -wo "[0-9]*:[0-9]\+")" | |||||
notify() { for x in $displays; do | |||||
export DISPLAY=$x | |||||
notify-send --app-name="mutt-wizard" "mutt-wizard" "📬 $2 new mail(s) in \`$1\` account." | |||||
done ;} | |||||
messageinfo() { for x in $displays; do | |||||
export DISPLAY=$x | |||||
notify-send --app-name="mutt-wizard" "📧$from:" "$subject" | |||||
done ;} | |||||
;; | |||||
esac | |||||
# Check account for new mail. Notify if there is new content. | |||||
syncandnotify() { | |||||
acc="$(echo "$account" | sed "s/.*\///")" | |||||
if [ -z "$opts" ]; then mbsync "$acc"; else mbsync "$opts" "$acc"; fi | |||||
new=$(find "$HOME/.local/share/mail/$acc/INBOX/new/" "$HOME/.local/share/mail/$acc/Inbox/new/" "$HOME/.local/share/mail/$acc/inbox/new/" -type f -newer "$HOME/.config/mutt/.mailsynclastrun" 2> /dev/null) | |||||
newcount=$(echo "$new" | sed '/^\s*$/d' | wc -l) | |||||
if [ "$newcount" -gt "0" ]; then | |||||
notify "$acc" "$newcount" & | |||||
for file in $new; do | |||||
# Extract subject and sender from mail. | |||||
from=$(awk '/^From: / && ++n ==1,/^\<.*\>:/' "$file" | perl -CS -MEncode -ne 'print decode("MIME-Header", $_)' | awk '{ $1=""; if (NF>=3)$NF=""; print $0 }' | sed 's/^[[:blank:]]*[\"'\''\<]*//;s/[\"'\''\>]*[[:blank:]]*$//') | |||||
subject=$(awk '/^Subject: / && ++n == 1,/^\<.*\>: / && ++i == 2' "$file" | head -n 1 | perl -CS -MEncode -ne 'print decode("MIME-Header", $_)' | sed 's/^Subject: //' | sed 's/^{[[:blank:]]*[\"'\''\<]*//;s/[\"'\''\>]*[[:blank:]]*$//' | tr -d '\n') | |||||
messageinfo & | |||||
done | |||||
fi | |||||
} | |||||
# Sync accounts passed as argument or all. | |||||
if [ "$#" -eq "0" ]; then | |||||
accounts="$(awk '/^Channel/ {print $2}' "$MBSYNCRC")" | |||||
else | |||||
for arg in "$@"; do | |||||
[ "${arg%${arg#?}}" = '-' ] && opts="${opts:+${opts} }${arg}" && shift 1 | |||||
done | |||||
accounts=$* | |||||
fi | |||||
# Parallelize multiple accounts | |||||
for account in $accounts; do | |||||
syncandnotify & | |||||
done | |||||
wait | |||||
notmuch new 2>/dev/null | |||||
#Create a touch file that indicates the time of the last run of mailsync | |||||
touch "$HOME/.config/mutt/.mailsynclastrun" |
@@ -1,13 +1,5 @@ | |||||
#!/bin/sh | #!/bin/sh | ||||
command -V gpg >/dev/null 2>&1 && GPG="gpg" || GPG="gpg2" | |||||
[ -z ${PASSWORD_STORE_DIR+x} ] && PASSWORD_STORE_DIR="$HOME/.password-store" | |||||
[ -r "$PASSWORD_STORE_DIR/.gpg-id" ] && | |||||
"$GPG" --list-secret-keys $(cat "$PASSWORD_STORE_DIR/.gpg-id") >/dev/null 2>&1 || { | |||||
printf "\`pass\` must be installed and initialized to encrypt passwords.\\nBe sure it is installed and run \`pass init <yourgpgemail>\`.\\nIf you don't have a GPG public private key pair, run \`%s --full-gen-key\` first.\\n" "$GPG" | |||||
exit | |||||
} | |||||
prefix="/usr/local" | prefix="/usr/local" | ||||
pass_prefix="mw-" | pass_prefix="mw-" | ||||
muttdir="${XDG_CONFIG_HOME:-$HOME/.config}/mutt" # Main mutt config location | muttdir="${XDG_CONFIG_HOME:-$HOME/.config}/mutt" # Main mutt config location | ||||
@@ -21,20 +13,31 @@ cachedir="${XDG_CACHE_HOME:-$HOME/.cache}/mutt-wizard" | |||||
muttrc="$muttdir/muttrc" | muttrc="$muttdir/muttrc" | ||||
msmtprc="${XDG_CONFIG_HOME:-$HOME/.config}/msmtp/config" | msmtprc="${XDG_CONFIG_HOME:-$HOME/.config}/msmtp/config" | ||||
msmtplog="${XDG_CONFIG_HOME:-$HOME/.config}/msmtp/msmtp.log" | msmtplog="${XDG_CONFIG_HOME:-$HOME/.config}/msmtp/msmtp.log" | ||||
MARKER="# mw-autogenerated" | |||||
marker="# mw-autogenerated" | |||||
alias mbsync='mbsync -c "$mbsyncrc"' | alias mbsync='mbsync -c "$mbsyncrc"' | ||||
for x in "/etc/ssl/certs/ca-certificates.crt" "/etc/pki/tls/certs/ca-bundle.crt" "/etc/ssl/ca-bundle.pem" "/etc/pki/tls/cacert.pem" "/etc/pki/ca-trust/extracted/pem/tls-ca-bundle.pem" "/etc/ssl/cert.pem" "/usr/local/share/ca-certificates/" | |||||
do | |||||
for x in "/etc/ssl/certs/ca-certificates.crt" "/etc/pki/tls/certs/ca-bundle.crt" "/etc/ssl/ca-bundle.pem" "/etc/pki/tls/cacert.pem" "/etc/pki/ca-trust/extracted/pem/tls-ca-bundle.pem" "/etc/ssl/cert.pem" "/usr/local/share/ca-certificates/"; do | |||||
[ -f "$x" ] && sslcert="$x" && break | [ -f "$x" ] && sslcert="$x" && break | ||||
done || { echo "CA Certificate not found. Please install one or link it to /etc/ssl/certs/ca-certificates.crt" && exit 1 ;} | done || { echo "CA Certificate not found. Please install one or link it to /etc/ssl/certs/ca-certificates.crt" && exit 1 ;} | ||||
checkbasics() { command -V gpg >/dev/null 2>&1 && GPG="gpg" || GPG="gpg2" | |||||
PASSWORD_STORE_DIR="${PASSWORD_STORE_DIR:-$HOME/.password-store}" | |||||
[ -r "$PASSWORD_STORE_DIR/.gpg-id" ] && | |||||
"$GPG" --list-secret-keys "$(cat "$PASSWORD_STORE_DIR/.gpg-id")" >/dev/null 2>&1 || { | |||||
echo "First run \`pass init <yourgpgemail>\` to set up a password archive." | |||||
echo "(If you don't already have a GPG key pair, first run \`$GPG --fullgenkey\`.)" | |||||
exit 1 ;} ;} | |||||
getaccounts() { accounts="$(find -L "$accdir" -type f | grep -o "[0-9]-.*.muttrc" | sed "s/-/: /;s/\.muttrc$//" | sort -n)" ;} | getaccounts() { accounts="$(find -L "$accdir" -type f | grep -o "[0-9]-.*.muttrc" | sed "s/-/: /;s/\.muttrc$//" | sort -n)" ;} | ||||
list() { getaccounts && [ -n "$accounts" ] && echo "$accounts" ;} | list() { getaccounts && [ -n "$accounts" ] && echo "$accounts" ;} | ||||
getprofiles() { \ | getprofiles() { \ | ||||
unset msmtp_header msmtp_profile mutt_profile mbsync_profile | unset msmtp_header msmtp_profile mutt_profile mbsync_profile | ||||
case "$iport" in | |||||
1143) imapssl=None ;; | |||||
143) imapssl=STARTTLS ;; | |||||
esac | |||||
msmtp_header="defaults | msmtp_header="defaults | ||||
auth on | auth on | ||||
tls on | tls on | ||||
@@ -55,7 +58,7 @@ Port ${iport:-993} | |||||
User $login | User $login | ||||
PassCmd \"pass $pass_prefix$fulladdr\" | PassCmd \"pass $pass_prefix$fulladdr\" | ||||
AuthMechs LOGIN | AuthMechs LOGIN | ||||
SSLType ${ssltype:-IMAPS} | |||||
SSLType ${imapssl:-IMAPS} | |||||
CertificateFile $sslcert | CertificateFile $sslcert | ||||
MaildirStore $fulladdr-local | MaildirStore $fulladdr-local | ||||
@@ -95,6 +98,7 @@ bind index,pager C noop | |||||
bind index gg first-entry | bind index gg first-entry | ||||
macro index o \"<shell-escape>mw -y $fulladdr<enter>\" \"run mbsync to sync $fulladdr\" | macro index o \"<shell-escape>mw -y $fulladdr<enter>\" \"run mbsync to sync $fulladdr\" | ||||
unmailboxes * | unmailboxes * | ||||
unalternates * | |||||
" | " | ||||
else | else | ||||
mutt_profile="# vim: filetype=neomuttrc | mutt_profile="# vim: filetype=neomuttrc | ||||
@@ -150,11 +154,17 @@ delete() { if [ -z "${fulladdr+x}" ]; then | |||||
[ -z "$fulladdr" ] && echo "Invalid account name given." && return 1 | [ -z "$fulladdr" ] && echo "Invalid account name given." && return 1 | ||||
sed -ibu "/IMAPStore $fulladdr-remote$/,/# End profile/d" "$mbsyncrc" ; rm -rf "$mbsyncrc"bu | |||||
sed -ibu "/IMAPStore $fulladdr-remote$/,/# End profile/d" "$mbsyncrc" ; rm -f "$mbsyncrc"bu | |||||
rm -rf "${cachedir:?}/${fulladdr:?}" "$accdir/"[1-9]"-$fulladdr.muttrc" | rm -rf "${cachedir:?}/${fulladdr:?}" "$accdir/"[1-9]"-$fulladdr.muttrc" | ||||
sed -ibu "/[0-9]-$fulladdr.muttrc/d" "$muttrc" ; rm -f "$muttrc"bu | sed -ibu "/[0-9]-$fulladdr.muttrc/d" "$muttrc" ; rm -f "$muttrc"bu | ||||
sed -ibu "/account $fulladdr/,/^\(\s*$\|account\)/d" "$msmtprc"; rm -f "$msmtprc"bu | sed -ibu "/account $fulladdr/,/^\(\s*$\|account\)/d" "$msmtprc"; rm -f "$msmtprc"bu | ||||
pass rm -f "$pass_prefix$fulladdr" >/dev/null 2>&1 | pass rm -f "$pass_prefix$fulladdr" >/dev/null 2>&1 | ||||
# Get rid of those multiple newlines because I don't know awk well enough to do it by default lol. | |||||
for file in "$msmtprc" "$mbsyncrc"; do | |||||
tr '\n' '|' < "$file" | sed "s/||\+/||/g" | tr '|' '\n' >> "$file"bu | |||||
mv -f "$file"bu "$file" | |||||
done | |||||
} | } | ||||
askinfo() { \ | askinfo() { \ | ||||
@@ -164,14 +174,15 @@ askinfo() { \ | |||||
echo "\`$fulladdr\` is not a valid email address. Please retype the address:" | echo "\`$fulladdr\` is not a valid email address. Please retype the address:" | ||||
read -r fulladdr | read -r fulladdr | ||||
done | done | ||||
grep -q "Channel\s*$fulladdr$" "$mbsyncrc" && | |||||
{ echo "$fulladdr has already been added" && exit 1 ;} | |||||
{ [ -z "$imap" ] || [ -z "$smtp" ] ;} && parsedomains | { [ -z "$imap" ] || [ -z "$smtp" ] ;} && parsedomains | ||||
[ -z "$imap" ] && echo "Give your email server's IMAP address (excluding the port number):" && | [ -z "$imap" ] && echo "Give your email server's IMAP address (excluding the port number):" && | ||||
read -r imap | read -r imap | ||||
[ -z "$smtp" ] && echo "Give your email server's SMTP address (excluding the port number):" && | [ -z "$smtp" ] && echo "Give your email server's SMTP address (excluding the port number):" && | ||||
read -r smtp | read -r smtp | ||||
[ "$sport" = 465 ] && tlsline="tls_starttls off" | [ "$sport" = 465 ] && tlsline="tls_starttls off" | ||||
[ -z "$realname" ] && echo "Give the name you would like to be identified by on the email account:" && | |||||
read -r realname | |||||
[ -z "$realname" ] && realname="${fulladdr%%@*}" | |||||
login="${login:-$fulladdr}" | login="${login:-$fulladdr}" | ||||
if [ -n "${password+x}" ]; then | if [ -n "${password+x}" ]; then | ||||
createpass | createpass | ||||
@@ -195,16 +206,15 @@ writeinfo() { mkdir -p "$muttdir" "$accdir" "$cachedir/$fulladdr/bodies" "${XDG_ | |||||
# On Ubuntu/Debian, a link is needed since they use an older version. | # On Ubuntu/Debian, a link is needed since they use an older version. | ||||
command -V apt-get >/dev/null 2>&1 && ln -s "$msmtprc" "$HOME/.msmtprc" 2>/dev/null | command -V apt-get >/dev/null 2>&1 && ln -s "$msmtprc" "$HOME/.msmtprc" 2>/dev/null | ||||
# Create the mbsync config file. | |||||
mkdir -p "${mbsyncrc%/*}" | |||||
echo "$mbsync_profile" >> "$mbsyncrc" | |||||
# Create the mbsync config file if local account. | |||||
[ -z "${online+x}" ] && mkdir -p "${mbsyncrc%/*}" && echo "$mbsync_profile" >> "$mbsyncrc" | |||||
# Create a muttrc for viewing mail. | # Create a muttrc for viewing mail. | ||||
echo "$mutt_profile" > "$accdir/$idnum-$fulladdr.muttrc" | echo "$mutt_profile" > "$accdir/$idnum-$fulladdr.muttrc" | ||||
[ ! -f "$muttrc" ] && echo "# vim: filetype=neomuttrc" > "$muttrc" | [ ! -f "$muttrc" ] && echo "# vim: filetype=neomuttrc" > "$muttrc" | ||||
! grep -q "^source.*mutt-wizard.muttrc" "$muttrc" && echo "source $mwconfig $MARKER" >> "$muttrc" | |||||
! grep "^source.*.muttrc" "$muttrc" | grep -qv "$mwconfig" && echo "source $accdir/$idnum-$fulladdr.muttrc $MARKER" >> "$muttrc" | |||||
echo "macro index,pager i$idnum '<sync-mailbox><enter-command>source $accdir/$idnum-$fulladdr.muttrc<enter><change-folder>!<enter>;<check-stats>' \"switch to $fulladdr\" $MARKER" >> "$muttrc" | |||||
! grep -q "^source.*mutt-wizard.muttrc" "$muttrc" && echo "source $mwconfig $marker" >> "$muttrc" | |||||
! grep "^source.*.muttrc" "$muttrc" | grep -qv "$mwconfig" && echo "source $accdir/$idnum-$fulladdr.muttrc $marker" >> "$muttrc" | |||||
echo "macro index,pager i$idnum '<sync-mailbox><enter-command>source $accdir/$idnum-$fulladdr.muttrc<enter><change-folder>!<enter>;<check-stats>' \"switch to $fulladdr\" $marker" >> "$muttrc" | |||||
notmuchauto # Create a notmuch config file if not present already. | notmuchauto # Create a notmuch config file if not present already. | ||||
} | } | ||||
@@ -213,12 +223,12 @@ getpass() { while : ; do pass rm -f "$pass_prefix$fulladdr" >/dev/null 2>&1 | |||||
pass insert "$pass_prefix$fulladdr" && break; done ;} | pass insert "$pass_prefix$fulladdr" && break; done ;} | ||||
formatShortcut() { toappend="$toappend | formatShortcut() { toappend="$toappend | ||||
macro index,pager g$1 \"<change-folder>=$3<enter>\" \"go to $2\" $MARKER | |||||
macro index,pager M$1 \";<save-message>=$3<enter>\" \"move mail to $2\" $MARKER | |||||
macro index,pager C$1 \";<copy-message>=$3<enter>\" \"copy mail to $2\" $MARKER" >> "$accdir/$idnum-$fulladdr.muttrc" ;} | |||||
macro index,pager g$1 \"<change-folder>=$3<enter>\" \"go to $2\" $marker | |||||
macro index,pager M$1 \";<save-message>=$3<enter>\" \"move mail to $2\" $marker | |||||
macro index,pager C$1 \";<copy-message>=$3<enter>\" \"copy mail to $2\" $marker" >> "$accdir/$idnum-$fulladdr.muttrc" ;} | |||||
setBox() { toappend="$toappend | setBox() { toappend="$toappend | ||||
set $1 = \"+$2\" $MARKER" ;} | |||||
set $1 = \"+$2\" $marker" ;} | |||||
getboxes() { [ -n "${force+x}" ] && mailboxes="INBOX | getboxes() { [ -n "${force+x}" ] && mailboxes="INBOX | ||||
Drafts | Drafts | ||||
@@ -226,40 +236,30 @@ Junk | |||||
Trash | Trash | ||||
Sent | Sent | ||||
Archive" && return 0 | Archive" && return 0 | ||||
if mailboxes="$(mbsync -l "$fulladdr" | sed 's/\//./')" >/dev/null 2>&1 && [ -n "$mailboxes" ]; then | |||||
[ -n "${online+x}" ] && sed -ibu "/IMAPStore $fulladdr-remote$/,/# End profile/d" "$mbsyncrc" ; rm -f "$mbsyncrc"bu | |||||
return 0 | |||||
else | |||||
echo "$mailboxes" | |||||
printf "\033[31m\033[31mLog-on not successful.\033[0m\\nIt seems that either you inputted the wrong password or server settings, or there are other requirements for your account out of the control of mutt-wizard.\\n" | |||||
return 1 | |||||
fi ;} | |||||
info="$(curl --location-trusted -s -m 5 --user "$login:$(pass $pass_prefix$fulladdr)" --url "${protocol:-imaps}://$imap")" | |||||
[ -z "$info" ] && echo "Log-on not successful." && return 1 | |||||
mailboxes="$(echo "$info" | sed "s/.*\" //" | tr -d ' ')" | |||||
} | |||||
finalize() { echo "$mailboxes" | xargs -I {} mkdir -p "$maildir/$fulladdr/{}/cur" "$maildir/$fulladdr/{}/tmp" "$maildir/$fulladdr/{}/new" | finalize() { echo "$mailboxes" | xargs -I {} mkdir -p "$maildir/$fulladdr/{}/cur" "$maildir/$fulladdr/{}/tmp" "$maildir/$fulladdr/{}/new" | ||||
sed -ibu "/$MARKER/d" "$accdir/$idnum-$fulladdr.muttrc" ; rm -f "$accdir/$idnum-$fulladdr.muttrcbu" | |||||
toappend="mailboxes $(echo "$mailboxes" | sed "s/^/\"=/;s/$/\"/" | paste -sd ' ' )" | |||||
sed -ibu "/$marker/d" "$accdir/$idnum-$fulladdr.muttrc" ; rm -f "$accdir/$idnum-$fulladdr.muttrcbu" | |||||
toappend="mailboxes $(echo "$mailboxes" | sed "s/^/\"=/;s/$/\"/" | paste -sd ' ' - )" | |||||
for x in $mailboxes; do | for x in $mailboxes; do | ||||
case $x in | |||||
*[Ii][Nn][Bb][Oo][Xx]*) formatShortcut i inbox "$x"; setBox spoolfile "$x" ;; | |||||
case "$x" in | |||||
*[Ss][Ee][Nn][Tt]*) setBox record "$x"; formatShortcut s sent "$x" ;; | *[Ss][Ee][Nn][Tt]*) setBox record "$x"; formatShortcut s sent "$x" ;; | ||||
*[Dd][Rr][Aa][Ff][Tt][Ss]*) setBox postponed "$x"; formatShortcut d drafts "$x" ;; | *[Dd][Rr][Aa][Ff][Tt][Ss]*) setBox postponed "$x"; formatShortcut d drafts "$x" ;; | ||||
*[Tt][Rr][Aa][Ss][Hh]*) formatShortcut t trash "$x"; setBox trash "$x" ;; | *[Tt][Rr][Aa][Ss][Hh]*) formatShortcut t trash "$x"; setBox trash "$x" ;; | ||||
*[Jj][Uu][Nn][Kk]*) formatShortcut j junk "$x" ;; | *[Jj][Uu][Nn][Kk]*) formatShortcut j junk "$x" ;; | ||||
*[Aa][Rr][Cc][Hh][Ii][Vv][Ee]*) formatShortcut a archive "$x" ;; | *[Aa][Rr][Cc][Hh][Ii][Vv][Ee]*) formatShortcut a archive "$x" ;; | ||||
*[Ss][Pp][Aa][Mm]*) formatShortcut S spam "$x" ;; | *[Ss][Pp][Aa][Mm]*) formatShortcut S spam "$x" ;; | ||||
*[Ii][Nn][Bb][Oo][Xx]*) formatShortcut i inbox "$x"; setBox spoolfile "$x" ;; | |||||
esac | esac | ||||
done | done | ||||
echo "$toappend" >> "$accdir/$idnum-$fulladdr.muttrc" | echo "$toappend" >> "$accdir/$idnum-$fulladdr.muttrc" | ||||
[ -z "${online+x}" ] && printf "\033[33mYou should now be able to run \`\033[32mmw -y %s\033[33m\` to begin to download your mail.\033[0m\\n" "$fulladdr" | |||||
[ -z "${online+x}" ] && echo "$fulladdr (account #$idnum) added successfully." | |||||
command -V urlview >/dev/null 2>&1 && [ ! -f "$HOME/.urlview" ] && echo "COMMAND \$BROWSER" > "$HOME/.urlview" | command -V urlview >/dev/null 2>&1 && [ ! -f "$HOME/.urlview" ] && echo "COMMAND \$BROWSER" > "$HOME/.urlview" | ||||
return 0 ;} | return 0 ;} | ||||
syncwrapper() { mbsync "${1:--a}" & | |||||
( kill -46 "$(pidof "${STATUSBAR:-dwmblocks}")" >/dev/null 2>&1 ) 2>/dev/null | |||||
wait | |||||
( kill -46 "$(pidof "${STATUSBAR:-dwmblocks}")" >/dev/null 2>&1 ) 2>/dev/null | |||||
notmuch new ;} | |||||
notmuchauto() { \ | notmuchauto() { \ | ||||
[ -z "$NOTMUCH_CONFIG" ] && NOTMUCH_CONFIG="$HOME/.notmuch-config" | [ -z "$NOTMUCH_CONFIG" ] && NOTMUCH_CONFIG="$HOME/.notmuch-config" | ||||
[ -f "$NOTMUCH_CONFIG" ] && return 0 | [ -f "$NOTMUCH_CONFIG" ] && return 0 | ||||
@@ -279,6 +279,17 @@ synchronize_flags=true | |||||
gpg_path=$GPG" | gpg_path=$GPG" | ||||
echo "$nmbasic" > "$NOTMUCH_CONFIG" ;} | echo "$nmbasic" > "$NOTMUCH_CONFIG" ;} | ||||
togglecron() { cron="$(mktemp)" | |||||
crontab -l > "$cron" | |||||
if grep -q mailsync "$cron"; then | |||||
echo "Removing automatic mailsync..." | |||||
sed -ibu /mailsync/d "$cron"; rm -f "$cron"bu | |||||
else | |||||
echo "Adding automatic mailsync every ${cronmin:-10} minutes..." | |||||
echo "*/${cronmin-10} * * * * $prefix/bin/mailsync" >> "$cron" | |||||
fi && | |||||
crontab "$cron"; rm -f "$cron" ;} | |||||
setact() { if [ -n "${action+x}" ] && [ "$action" != "$1" ]; then | setact() { if [ -n "${action+x}" ] && [ "$action" != "$1" ]; then | ||||
echo "Running $1 with $action..." | echo "Running $1 with $action..." | ||||
echo "Incompatible options given. Only one action may be specified per run." | echo "Incompatible options given. Only one action may be specified per run." | ||||
@@ -287,35 +298,7 @@ setact() { if [ -n "${action+x}" ] && [ "$action" != "$1" ]; then | |||||
action="$1" | action="$1" | ||||
fi; } | fi; } | ||||
trap 'echo -e "\033[0m\n"; exit' INT ABRT | |||||
while getopts "fplhodYD:y:i:I:s:S:u:a:n:x:m:" o; do case "${o}" in | |||||
l) setact list || exit 1 ;; | |||||
d) setact delete || exit 1 ;; | |||||
D) setact delete || exit 1 ; fulladdr="$OPTARG" ;; | |||||
y) setact sync || exit 1 ; fulladdr="$OPTARG" ;; | |||||
Y) setact sync || exit 1 ;; | |||||
a) setact add || exit 1 ; fulladdr="$OPTARG" ;; | |||||
i) setact add || exit 1 ; imap="$OPTARG" ;; | |||||
I) setact add || exit 1 ; iport="$OPTARG" ;; | |||||
s) setact add || exit 1 ; smtp="$OPTARG" ;; | |||||
S) setact add || exit 1 ; sport="$OPTARG" ;; | |||||
u) setact add || exit 1 ; login="$OPTARG" ;; | |||||
n) setact add || exit 1 ; realname="$OPTARG" ;; | |||||
m) setact add || exit 1 ; maxmes="$OPTARG" ;; | |||||
o) setact add || exit 1 ; online=True ;; | |||||
f) setact add || exit 1 ; force=True ;; | |||||
x) setact add || exit 1 ; password="$OPTARG" ;; | |||||
p) echo "NOTE: Protonmail users must install and configure Protonmail Bridge first for the first sync to work." | |||||
imap="127.0.0.1" | |||||
iport="1143" | |||||
smtp="127.0.0.1" | |||||
sport="1025" | |||||
ssltype="None" | |||||
tlsline="tls_fingerprint $(msmtp --serverinfo --host=$smtp --port=$sport --tls --tls-certcheck=off | awk '/SHA256:/ {print $2}')" | |||||
setact add || exit 1 | |||||
;; | |||||
*) cat << EOF | |||||
mwinfo() { cat << EOF | |||||
mw: mutt-wizard, auto-configure email accounts for mutt | mw: mutt-wizard, auto-configure email accounts for mutt | ||||
including downloadable mail with \`isync\`. | including downloadable mail with \`isync\`. | ||||
@@ -326,6 +309,8 @@ Main actions: | |||||
-D your@email.com Force remove account without confirmation | -D your@email.com Force remove account without confirmation | ||||
-y your@email.com Sync mail for account by name | -y your@email.com Sync mail for account by name | ||||
-Y Sync mail for all accounts | -Y Sync mail for all accounts | ||||
-t number Toggle automatic mailsync every <number> minutes | |||||
-T Toggle automatic mailsync | |||||
Options allowed with -a: | Options allowed with -a: | ||||
-u Account login name if not full address | -u Account login name if not full address | ||||
@@ -344,15 +329,43 @@ NOTE: Once at least one account is added, you can run | |||||
To change an account's password, run \`pass edit ${pass_prefix}your@email.com\`. | To change an account's password, run \`pass edit ${pass_prefix}your@email.com\`. | ||||
EOF | EOF | ||||
exit 1 | |||||
;; | |||||
esac done | |||||
} | |||||
! command -v mbsync >/dev/null && [ -z "${force+x}" ] && printf "\`mbsync (isync package)\` must be installed to run mutt-wizard.\\n" && exit | |||||
while getopts "fplhodTYD:y:i:I:s:S:u:a:n:x:m:t:" o; do case "${o}" in | |||||
l) setact list || exit 1 ;; | |||||
d) setact delete || exit 1 ;; | |||||
D) setact delete || exit 1 ; fulladdr="$OPTARG" ;; | |||||
y) setact sync || exit 1 ; fulladdr="$OPTARG" ;; | |||||
Y) setact sync || exit 1 ;; | |||||
a) setact add || exit 1 ; fulladdr="$OPTARG" ;; | |||||
i) setact add || exit 1 ; imap="$OPTARG" ;; | |||||
I) setact add || exit 1 ; iport="$OPTARG" ;; | |||||
s) setact add || exit 1 ; smtp="$OPTARG" ;; | |||||
S) setact add || exit 1 ; sport="$OPTARG" ;; | |||||
u) setact add || exit 1 ; login="$OPTARG" ;; | |||||
n) setact add || exit 1 ; realname="$OPTARG" ;; | |||||
m) setact add || exit 1 ; maxmes="$OPTARG" ;; | |||||
o) setact add || exit 1 ; online=True ;; | |||||
f) setact add || exit 1 ; force=True ;; | |||||
x) setact add || exit 1 ; password="$OPTARG" ;; | |||||
t) setact toggle || exit 1 ; cronmin="$OPTARG" ;; | |||||
T) setact toggle || exit 1 ;; | |||||
p) echo "NOTE: Protonmail users must install and configure Protonmail Bridge first for the first sync to work." | |||||
imap="127.0.0.1" | |||||
iport="1143" | |||||
smtp="127.0.0.1" | |||||
sport="1025" | |||||
tlsline="tls_fingerprint $(msmtp --serverinfo --host=$smtp --port=$sport --tls --tls-certcheck=off | awk '/SHA256:/ {print $2}')" | |||||
setact add || exit 1 | |||||
;; | |||||
*) mwinfo; exit 1 ;; | |||||
esac done | |||||
case "$action" in | case "$action" in | ||||
list) list ;; | list) list ;; | ||||
add) askinfo && getprofiles && writeinfo && getboxes && finalize || { delete ; exit 1 ;} ;; | |||||
delete) delete $fulladdr ;; | |||||
sync) syncwrapper $fulladdr ;; | |||||
add) checkbasics && askinfo && getprofiles && writeinfo && getboxes && finalize || { delete ; exit 1 ;} ;; | |||||
delete) delete ;; | |||||
sync) mailsync $fulladdr ;; | |||||
toggle) togglecron ;; | |||||
*) mwinfo; exit 1 ;; | |||||
esac | esac |
@@ -35,6 +35,12 @@ download and upload mail for an email account | |||||
.TP | .TP | ||||
.B -Y | .B -Y | ||||
sync all email accounts | sync all email accounts | ||||
.TP | |||||
.B -t 15 | |||||
toggle a cronjob that syncs your mail every 15 minutes (or any other number under 60) | |||||
.TP | |||||
.B -T | |||||
toggle a cronjob without specifying minutes between sync | |||||
.SH OPTIONS FOR ADDING ACCOUNTS | .SH OPTIONS FOR ADDING ACCOUNTS | ||||
These can be specified on the command line, otherwise, you will be prompted for what is necessary. mutt-wizard knows the IMAP/SMTP server information for most email providers, so specifying them is usually redundant. | These can be specified on the command line, otherwise, you will be prompted for what is necessary. mutt-wizard knows the IMAP/SMTP server information for most email providers, so specifying them is usually redundant. | ||||
.TP | .TP | ||||
@@ -75,6 +81,13 @@ connection will still be attempted in setup to discover mailboxes. | |||||
Add a Protonmail account. Protonmail Bridge must be installed and set up. | Add a Protonmail account. Protonmail Bridge must be installed and set up. | ||||
.SH DETAILS | .SH DETAILS | ||||
.TP | .TP | ||||
.B mailsync | |||||
mutt-wizard calls a script | |||||
.I mailsync | |||||
to sync mail. This script additionally indexes new mail with notmuch and gives you a notification if new mail has arrived. If you want to bypass its additional features, you can always just run | |||||
.I mbsync -a | |||||
to sync your mail directly. | |||||
.TP | |||||
.B Mail location | .B Mail location | ||||
If the user chooses to keep offline email with | If the user chooses to keep offline email with | ||||
.B isync, | .B isync, | ||||
@@ -121,9 +134,11 @@ If you would like to help develop mutt-wizard for others, you are invited to add | |||||
on mutt-wizard's Github <https://github.com/lukesmithxyz/mutt-wizard> or Gitlab <https://gitlab.com/lukesmithxyz/mutt-wizard> pages. | on mutt-wizard's Github <https://github.com/lukesmithxyz/mutt-wizard> or Gitlab <https://gitlab.com/lukesmithxyz/mutt-wizard> pages. | ||||
.TP | .TP | ||||
.B Gmail accounts | .B Gmail accounts | ||||
Google will require you to allow "less-secure" (third party) applications or use two-factor authentication in order to access their IMAP servers to download your mail. If you use Gmail, be sure to handle this before running mutt-wizard <https://support.google.com/accounts/answer/6010255>. | |||||
Google will require you to allow "less-secure" (third party) applications or remove two-factor authentication in order to access their IMAP servers to download your mail. If you use Gmail, be sure to handle this before running mutt-wizard <https://support.google.com/accounts/answer/6010255>. | |||||
.TP | |||||
.B Protonmail accounts | .B Protonmail accounts | ||||
Protonmail users must use the Protonmail Bridge <https://protonmail.com/bridge/> to access their IMAP and SMTP servers. This too should be configured before running mutt-wizard. | Protonmail users must use the Protonmail Bridge <https://protonmail.com/bridge/> to access their IMAP and SMTP servers. This too should be configured before running mutt-wizard. | ||||
.TP | |||||
.B Enterprise and university accounts | .B Enterprise and university accounts | ||||
Many universities and businesses might host their domain's email via Google or another service. This often requires a special IMAP/SMTP-specific password that you must generate and use. Again, mutt-wizard can handle these systems, but only once they've been set up. | Many universities and businesses might host their domain's email via Google or another service. This often requires a special IMAP/SMTP-specific password that you must generate and use. Again, mutt-wizard can handle these systems, but only once they've been set up. | ||||
.TP | .TP | ||||
@@ -1,8 +1,8 @@ | |||||
ADDRESS,IMAP,imap port,SMTP,smtp port | |||||
126.com,imap.126.com,993,smtp.126.com,587 | 126.com,imap.126.com,993,smtp.126.com,587 | ||||
163.com,imap.163.com,993,smtp.163.com,587 | 163.com,imap.163.com,993,smtp.163.com,587 | ||||
420blaze.it,mail.cock.li,993,mail.cock.li,587 | 420blaze.it,mail.cock.li,993,mail.cock.li,587 | ||||
8chan.co,mail.cock.li,993,mail.cock.li,587 | 8chan.co,mail.cock.li,993,mail.cock.li,587 | ||||
ADDRESS,IMAP,imap port,SMTP,smtp port | |||||
aaathats3as.com,mail.cock.li,993,mail.cock.li,587 | aaathats3as.com,mail.cock.li,993,mail.cock.li,587 | ||||
accountant.com,imap.mail.com,993,smtp.mail.com,587 | accountant.com,imap.mail.com,993,smtp.mail.com,587 | ||||
activist.com,imap.mail.com,993,smtp.mail.com,587 | activist.com,imap.mail.com,993,smtp.mail.com,587 | ||||
@@ -35,6 +35,7 @@ bguth.de,wp300.webpack.hosteurope.de,993,wp300.webpack.hosteurope.de,587 | |||||
bigpond.com,imap.telstra.com,143,smtp.telstra.com,587 | bigpond.com,imap.telstra.com,143,smtp.telstra.com,587 | ||||
bikerider.com,imap.mail.com,993,smtp.mail.com,587 | bikerider.com,imap.mail.com,993,smtp.mail.com,587 | ||||
billycarlyle.uk,mail.muny.us,993,mail.muny.us,465 | billycarlyle.uk,mail.muny.us,993,mail.muny.us,465 | ||||
biomed.ee.ethz.ch,mail.ethz.ch,993,mail.ethz.ch,587 | |||||
birdlover.com,imap.mail.com,993,smtp.mail.com,587 | birdlover.com,imap.mail.com,993,smtp.mail.com,587 | ||||
bjoernguthphotography.de,wp300.webpack.hosteurope.de,993,wp300.webpack.hosteurope.de,587 | bjoernguthphotography.de,wp300.webpack.hosteurope.de,993,wp300.webpack.hosteurope.de,587 | ||||
bocken.org,mail.bocken.org,993,mail.bocken.org,587 | bocken.org,mail.bocken.org,993,mail.bocken.org,587 | ||||
@@ -162,6 +163,7 @@ mailo.com,mail.mailo.com,993,mail.mailo.com,465 | |||||
marquette.edu,outlook.office365.com,993,smtp.office365.com,587 | marquette.edu,outlook.office365.com,993,smtp.office365.com,587 | ||||
memeware.net,mail.cock.li,993,mail.cock.li,587 | memeware.net,mail.cock.li,993,mail.cock.li,587 | ||||
metu.edu.tr,imap.metu.edu.tr,993,smtp.metu.edu.tr,465 | metu.edu.tr,imap.metu.edu.tr,993,smtp.metu.edu.tr,465 | ||||
mit.edu,imap.exchange.mit.edu,993,outgoing.mit.edu,465 | |||||
ml1.net,imap.fastmail.com,993,smtp.fastmail.com,465 | ml1.net,imap.fastmail.com,993,smtp.fastmail.com,465 | ||||
mortemale.org,mail.autistici.org,993,smtp.autistici.org,465 | mortemale.org,mail.autistici.org,993,smtp.autistici.org,465 | ||||
msn.com,imap-mail.outlook.com,993,smtp-mail.outlook.com,587 | msn.com,imap-mail.outlook.com,993,smtp-mail.outlook.com,587 | ||||
@@ -217,8 +219,12 @@ runbox.com,mail.runbox.com,993,mail.runbox.com,587 | |||||
rwth-aachen.de,mail.rwth-aachen.de,993,mail.rwth-aachen.de,587 | rwth-aachen.de,mail.rwth-aachen.de,993,mail.rwth-aachen.de,587 | ||||
sapo.pt,imap.sapo.pt,993,smtp.sapo.pt,587 | sapo.pt,imap.sapo.pt,993,smtp.sapo.pt,587 | ||||
seznam.cz,imap.seznam.cz,993,smtp.seznam.cz,465 | seznam.cz,imap.seznam.cz,993,smtp.seznam.cz,465 | ||||
shu.edu.cn,imap.shu.edu.cn,143,smtp.shu.edu.cn,25 | |||||
sina.com,imap.sina.com,993,smtp.sina.com,587 | |||||
sina.cn,imap.sina.cn,993,smtp.sina.cn,587 | |||||
smail.inf.h-brs.de,imap.inf.h-brs.de,993,smtp.inf.h-brs.de,587 | smail.inf.h-brs.de,imap.inf.h-brs.de,993,smtp.inf.h-brs.de,587 | ||||
sms.ed.ac.uk,pod51015.outlook.com,993,pod51015.outlook.com,587 | sms.ed.ac.uk,pod51015.outlook.com,993,pod51015.outlook.com,587 | ||||
sohu.com,imap.sohu.com,143,smtp.sohu.com,25 | |||||
southwales.ac.uk,imap.gmail.com,993,smtp.gmail.com,587 | southwales.ac.uk,imap.gmail.com,993,smtp.gmail.com,587 | ||||
spoko.pl,imap.poczta.onet.pl,993,smtp.poczta.onet.pl,465 | spoko.pl,imap.poczta.onet.pl,993,smtp.poczta.onet.pl,465 | ||||
st.amu.edu.pl,outlook.office365.com,993,smtp.office365.com,587 | st.amu.edu.pl,outlook.office365.com,993,smtp.office365.com,587 | ||||
@@ -264,6 +270,7 @@ univ-ubs.fr,partage.univ-ubs.fr,993,partage.univ-ubs.fr,587 | |||||
uoregon.edu,imap.uoregon.edu,993,smtp.uoregon.edu,587 | uoregon.edu,imap.uoregon.edu,993,smtp.uoregon.edu,587 | ||||
uqtr.ca,outlook.office365.com,993,smtp.office365.com,587 | uqtr.ca,outlook.office365.com,993,smtp.office365.com,587 | ||||
usa.com,imap.mail.com,993,smtp.mail.com,587 | usa.com,imap.mail.com,993,smtp.mail.com,587 | ||||
usp.br,imap.gmail.com,993,smtp.gmail.com,465 | |||||
utas.edu.au,outlook.office365.com,993,smtp.office365.com,587 | utas.edu.au,outlook.office365.com,993,smtp.office365.com,587 | ||||
utdallas.edu,outlook.office365.com,993,smtp.office365.com,587 | utdallas.edu,outlook.office365.com,993,smtp.office365.com,587 | ||||
uw.edu,imap.gmail.com,993,smtp.gmail.com,465 | uw.edu,imap.gmail.com,993,smtp.gmail.com,465 | ||||
@@ -3,7 +3,7 @@ | |||||
# mutt-wizard will have this file sourced from your muttrc. | # mutt-wizard will have this file sourced from your muttrc. | ||||
# In the interest of seamless updating, do not edit this file. | # In the interest of seamless updating, do not edit this file. | ||||
# If you want to override any settings, set those in your muttrc. | # If you want to override any settings, set those in your muttrc. | ||||
set mailcap_path = /usr/local/share/mutt-wizard/mailcap | |||||
set mailcap_path = /usr/local/share/mutt-wizard/mailcap:$mailcap_path | |||||
set mime_type_query_command = "file --mime-type -b %s" | set mime_type_query_command = "file --mime-type -b %s" | ||||
set date_format="%y/%m/%d %I:%M%p" | set date_format="%y/%m/%d %I:%M%p" | ||||
set index_format="%2C %Z %?X?A& ? %D %-15.15F %s (%-4.4c)" | set index_format="%2C %Z %?X?A& ? %D %-15.15F %s (%-4.4c)" | ||||
@@ -25,7 +25,7 @@ set include # include message in replies | |||||
set mail_check=60 # to avoid lags using IMAP with some email providers (yahoo for example) | set mail_check=60 # to avoid lags using IMAP with some email providers (yahoo for example) | ||||
auto_view text/html # automatically show html (mailcap uses lynx) | auto_view text/html # automatically show html (mailcap uses lynx) | ||||
auto_view application/pgp-encrypted | auto_view application/pgp-encrypted | ||||
set display_filter = "tac | sed '/\\\[-- Autoview/,+1d' | tac" # Suppress autoview messages. | |||||
#set display_filter = "tac | sed '/\\\[-- Autoview/,+1d' | tac" # Suppress autoview messages. | |||||
alternative_order text/plain text/enriched text/html | alternative_order text/plain text/enriched text/html | ||||
bind index,pager i noop | bind index,pager i noop | ||||
bind index,pager g noop | bind index,pager g noop | ||||